<bugID>1241964<Summary>Debugger runnables should be able to interrupt running scripts.</Summary><Description>Unfortunately, we have some known issues. Unlike scripts on the main thread, worker scripts can contain infinite loops. While the script is inside a loop, no runnables are executed, which means we cannot interact with the debugger. To avoid this, debugger runnables should be able to interrupt running scripts.</Description></bugID>